API referenceAi database
Apply
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
runId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/ai/runs/string/apply" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "runId": "string", "status": "planned", "results": [ { "index": 0, "kind": "string", "stake": "never_ask", "status": "applied", "needsApproval": true, "error": "string", "subjectId": "string" } ], "appliedCount": 0, "skippedCount": 0, "failedCount": 0 }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}